Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZProductCollectionItem Class Reference

eZProductCollectionItem handles one product item More...

Inheritance diagram for eZProductCollectionItem:

## Public Member Functions
| __clone ()
| copy ( $collectionID)
| discountPercent ()
| contentObject ()
| optionList ()
| removeThis ()
| calculatePriceWithOptions ( $currency=false)
| verify ( $currency=false)
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $productCollectionID)
static | fetch ( $id, $asObject=true)
static | fetchList ( $conditions=null, $asObjects=true, $offset=false, $limit=false)
static | cleanupList ( $productCollectionIDList)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ContentObject = null
| Stores the content object. More...
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

eZProductCollectionItem handles one product item

Definition at line 19 of file ezproductcollectionitem.php.

## Member Function Documentation

## ◆ __clone()

eZProductCollectionItem::__clone | ( |  | ) |

Clones the collection item object and returns it. The ID of the clone is erased.

Definition at line 90 of file ezproductcollectionitem.php.

References eZPersistentObject\setAttribute().

## ◆ calculatePriceWithOptions()

eZProductCollectionItem::calculatePriceWithOptions | ( |  | $currency = `false` | ) |

Goes trough all options and finds the attribute they points to and calls productOptionInformation() to fetch the option data.

Returns
  The total price of all options.

Definition at line 191 of file ezproductcollectionitem.php.

References eZPersistentObject\attribute(), contentObject(), eZPersistentObject\count(), eZContentObjectAttribute\fetch(), eZProductCollectionItemOption\fetchList(), and eZDB\instance().

Referenced by verify().

## ◆ cleanupList()

static eZProductCollectionItem::cleanupList | ( |  | $productCollectionIDList | ) |
| static

Removes all product collection items which related to the product collections specified in the parameter array

Parameters

  array | $productCollectionIDList | array of eZProductCollection IDs

Returns
  void

Definition at line 277 of file ezproductcollectionitem.php.

References eZProductCollectionItemOption\cleanupList(), eZPersistentObject\count(), and eZDB\instance().

Referenced by eZProductCollection\cleanupList(), and eZDBGarbageCollector\collectProductCollections().

## ◆ contentObject()

eZProductCollectionItem::contentObject | ( |  | ) |

Returns
  Returns the content object defining the product.

Definition at line 150 of file ezproductcollectionitem.php.

References $ContentObject, and eZContentObject\fetch().

Referenced by calculatePriceWithOptions().

## ◆ copy()

eZProductCollectionItem::copy | ( |  | $collectionID | ) |

Copies the collection object item and the option, the new copy will point to the collection $collectionID.

Returns
  the new collection item object.

Note
  The new collection item will already be present in the database.
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 103 of file ezproductcollectionitem.php.

References optionList().

## ◆ create()

static eZProductCollectionItem::create | ( |  | $productCollectionID | ) |
| static

Creates a new empty collection item which belongs to collection $collectionID and returns it.

Definition at line 82 of file ezproductcollectionitem.php.

## ◆ definition()

static eZProductCollectionItem::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 21 of file ezproductcollectionitem.php.

Referenced by fetch(), fetchList(), eZWishList\itemCount(), eZProductCollection\itemList(), eZWishList\items(), eZBasket\items(), eZOrder\productItems(), eZContentObject\purge(), and eZProductCollection\verify().

## ◆ discountPercent()

eZProductCollectionItem::discountPercent | ( |  | ) |

Returns
  the discount percent for the current item

Definition at line 141 of file ezproductcollectionitem.php.

## ◆ fetch()

static eZProductCollectionItem::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 116 of file ezproductcollectionitem.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZBasket\removeItem(), eZOrder\removeItem(), and eZWishList\removeItem().

## ◆ fetchList()

static eZProductCollectionItem::fetchList | ( |  | $conditions = `null`,
|  |  | $asObjects = `true`,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |
| static

Definition at line 124 of file ezproductcollectionitem.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZBasket\type().

## ◆ optionList()

eZProductCollectionItem::optionList | ( |  | ) |

Definition at line 163 of file ezproductcollectionitem.php.

References eZPersistentObject\attribute(), and eZProductCollectionItemOption\fetchList().

Referenced by copy().

## ◆ removeThis()

eZProductCollectionItem::removeThis | ( |  | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 172 of file ezproductcollectionitem.php.

References eZPersistentObject\attribute(), eZProductCollectionItemOption\fetchList(), and eZDB\instance().

## ◆ verify()

eZProductCollectionItem::verify | ( |  | $currency = `false` | ) |

Definition at line 228 of file ezproductcollectionitem.php.

References eZPersistentObject\attribute(), and calculatePriceWithOptions().

## Member Data Documentation

## ◆ $ContentObject

eZProductCollectionItem::$ContentObject = null

Stores the content object.

Definition at line 297 of file ezproductcollectionitem.php.

Referenced by contentObject().

The documentation for this class was generated from the following file:

- ezproductcollectionitem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.